org.keycloak.protocol

## Interface ClientInstallationProvider

- All Superinterfaces:
    Provider, ProviderFactory<ClientInstallationProvider>
  All Known Implementing Classes:
    DockerComposeYamlInstallationProvider, DockerRegistryConfigFileInstallationProvider, DockerVariableOverrideInstallationProvider, KeycloakOIDCClientInstallation, KeycloakOIDCJbossSubsystemClientCliInstallation, KeycloakOIDCJbossSubsystemClientInstallation, KeycloakSamlClientInstallation, KeycloakSamlSubsystemCliInstallation, KeycloakSamlSubsystemInstallation, ModAuthMellonClientInstallation, SamlSPDescriptorClientInstallation

      public interface ClientInstallationProvider
      extends Provider, ProviderFactory<ClientInstallationProvider>

  Provides a template/sample client config adapter file. For example keycloak.json for our OIDC adapter. keycloak-saml.xml for our SAML client adapter
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `generateInstallation(KeycloakSession session, RealmModel realm, ClientModel client, URI serverBaseUri)`
    `String` | `getDisplayType()`
    `String` | `getFilename()`
    `String` | `getHelpText()`
    `String` | `getMediaType()`
    `String` | `getProtocol()`
    `boolean` | `isDownloadOnly()`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, getId, init, order, postInit`

- - ### Method Detail

    - #### generateInstallation

          javax.ws.rs.core.Response generateInstallation(KeycloakSession session,
                                                         RealmModel realm,
                                                         ClientModel client,
                                                         URI serverBaseUri)

    - #### getProtocol

          String getProtocol()

    - #### getDisplayType

          String getDisplayType()

    - #### getHelpText

          String getHelpText()

    - #### getFilename

          String getFilename()

    - #### getMediaType

          String getMediaType()

    - #### isDownloadOnly

          boolean isDownloadOnly()

Copyright © 2020 JBoss by Red Hat. All rights reserved.